# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.webmastertools
Enum VerificationMethod.MethodType

    java.lang.Object
      java.lang.Enum<VerificationMethod.MethodType>
          com.google.gdata.data.webmastertools.VerificationMethod.MethodType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<VerificationMethod.MethodType>

Enclosing class:
  VerificationMethod

    public static enum VerificationMethod.MethodType

extends java.lang.Enum<VerificationMethod.MethodType>

Enumerates supported verification method types.

Enum Constant Summary
`HTMLPAGE`
`METATAG`

Method Summary
`static VerificationMethod.MethodType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static VerificationMethod.MethodType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### METATAG

    public static final VerificationMethod.MethodType METATAG

### HTMLPAGE

    public static final VerificationMethod.MethodType HTMLPAGE

Method Detail

### values

    public static VerificationMethod.MethodType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VerificationMethod.MethodType c : VerificationMethod.MethodType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VerificationMethod.MethodType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null